/*
 * ActionMenuItem.hpp
 *
 *  Created on: Dec 11, 2009
 *      Author: crueger
 */

#ifndef ACTIONMENUITEM_HPP_
#define ACTIONMENUITEM_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Menu/TextMenu/MenuItem.hpp"

namespace MoleCuilder {
  class Action;
}
class TxMenu;

/**
 * Produce MenuItems that take an appropriate action when called.
 */
class ActionMenuItem : public MenuItem
{
public:
  ActionMenuItem(char,const std::string &,TxMenu* const,const std::string &);
  ~ActionMenuItem();

  virtual void doTrigger();

  virtual bool isActive();

private:
  const std::string ActionName; //!< this action will be called when the trigger matches
};

#endif /* ACTIONMENUITEM_HPP_ */
